booster::system::system_error Class Reference

This is the object that should be thrown in case of the error. More...

`#include <booster/booster/system_error.h>`

Inheritance diagram for booster::system::system_error:

## Public Member Functions

| system_error (error_code const &e)
| system_error (error_code const &e, std::string const &message)
| system_error (error_code const &e, char const *message)
| system_error (int ev, error_category const &category, char const *message)
| system_error (int ev, error_category const &category, std::string const &message)
| system_error (int ev, error_category const &category)
error_code const & | code () const
Public Member Functions inherited from booster::runtime_error
| runtime_error (std::string const &s)
Public Member Functions inherited from booster::backtrace
| backtrace (size_t frames_no=default_stack_size)
size_t | stack_size () const
void * | return_address (unsigned frame_no) const
void | trace_line (unsigned frame_no, std::ostream &out) const
std::string | trace_line (unsigned frame_no) const
std::string | trace () const
void | trace (std::ostream &out) const

## Additional Inherited Members

Static Public Attributes inherited from booster::backtrace
static size_t const | default_stack_size = 32

## Detailed Description

This is the object that should be thrown in case of the error.

It consists of two parts: the error_code object and the optional error message that would be added to the error code itself.

## Constructor & Destructor Documentation

booster::system::system_error::system_error | ( | error_code const & | e | ) |

inline

Create a system error from error_code e

booster::system::system_error::system_error | ( | error_code const & | e,
|  | std::string const & | message
| ) |  |

inline

Create a system error from error_code e and additional message

booster::system::system_error::system_error | ( | error_code const & | e,
|  | char const * | message
| ) |  |

inline

Create a system error from error_code e and an additional message message

booster::system::system_error::system_error | ( | int | ev,
|  | error_category const & | category,
|  | char const * | message
| ) |  |

inline

Create a system error from error_code defined by integer code ev, a error category category and an additional message message

booster::system::system_error::system_error | ( | int | ev,
|  | error_category const & | category,
|  | std::string const & | message
| ) |  |

inline

Create a system error from error_code defined by integer code ev, a error category category and an additional message message

booster::system::system_error::system_error | ( | int | ev,
|  | error_category const & | category
| ) |  |

inline

Create a system error from error_code defined by integer code ev, a error category category

## Member Function Documentation

error_code const& booster::system::system_error::code | ( |  | ) | const

inline

Get the error code for the thrown error

The documentation for this class was generated from the following file:

- booster/system_error.h